# `Skypager.Assets.CopyFile`

## Copy dictionaries for content management and translations

The `Assets.CopyFile` is a wrapper around `YAML` files that contain language, content, labels or "copy" in a tokenized form that lends itself toward things like `i18n` translations or A&B Testing. 

Rather than storing these values directy in the source code referencing them in a project wide dictionary minimizes the need to change source code to make changes to them.

The `Assets.CopyFile` helps the `project.copy` interface provide the correct values for things like `project.copy.companyName` and `project.copy.slogan` for the given environment or `locale`.

## Specifications

### Projects have a `locale` property

This allows us to store different dictionaries for each language we present our project in.  The `CopyFile` will automatically return the proper value for a given locale.

```javascript
project.locale.should.equal('it')
```

### Projects return copy for their locale

```javascript
project.copy.website.main.subtitle.should.match(/la mia morte/)
```
