'use strict';

function CollectionBundle() {
  var options = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];

  var project = options.project || this;

  var pick = require('../util').pick;
  var lodashify = require('../util').lodashify('pick', 'pickBy', 'omit', 'omitBy', 'get', 'set', 'keys', 'values');

  var allAssets = project.allAssets.map(function (a) {
    return a.readSync();
  });

  var bundle = allAssets.reduce(function (memo, asset) {
    asset.indexed;

    var assetData = pick(asset, 'id', 'uri', 'fingerprint', 'paths', 'raw', 'parsed', 'indexes');

    memo[asset.paths.projectRequire] = lodashify(assetData);

    return memo;
  }, { __project_root: project.root });

  return lodashify(bundle);
}

module.exports = CollectionBundle;